import request from '@/utils/request'

export function getLayerTree(data) {
  return request({
    url: 'visualization/layer/getTree',
    method: 'post',
    data
  })
}

export function add(data) {
  return request({
    url: 'visualization/layer/add',
    method: 'post',
    data
  })
}

export function del(ids) {
  return request({
    url: 'visualization/layer/delete',
    method: 'post',
    data: ids
  })
}

export function edit(data) {
  return request({
    url: 'visualization/layer/edit',
    method: 'post',
    data
  })
}

export default { add, edit, del }
